Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455139 - Exception Error when runing package updater
Summary: Exception Error when runing package updater
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut
Version: 8
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-12 17:09 UTC by Andrew Barber
Modified: 2008-07-17 21:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-17 17:58:24 UTC


Attachments (Terms of Use)
Crash File (deleted)
2008-07-12 17:09 UTC, Andrew Barber
no flags Details
DMesg OUtput file (deleted)
2008-07-17 17:43 UTC, Andrew Barber
no flags Details

Description Andrew Barber 2008-07-12 17:09:50 UTC
Description of problem: Update system, using the package updater, with security 
update for hal hal, update completes and get request to reboot system. Click on 
reboot and get an Exception error. (File attached)


Version-Release number of selected component (if applicable):


How reproducible: rerun package updater


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Andrew Barber 2008-07-12 17:09:50 UTC
Created attachment 311646 [details]
Crash File

Comment 2 Jeremy Katz 2008-07-14 18:13:33 UTC
How much memory does your machine have?

Comment 3 Andrew Barber 2008-07-15 07:07:46 UTC
640Mb base + 384Mb other

Comment 4 Jeremy Katz 2008-07-16 16:57:39 UTC
That should be more than plenty -- the traceback is that there's not enough
memory to fork off and do the shutdown process.  Have you seen this more than once?

Comment 5 Andrew Barber 2008-07-16 18:29:52 UTC
I happens every time I try to run the update.  Updates do not appear to 
complete as they still show after reboot.  I have a Hal and a bind update 
showing.  I can arrange access to the server should you need it, but would need 
to exchange details over a more secure forum

Comment 6 Jeremy Katz 2008-07-16 20:21:58 UTC
When it happens, can you run 'free' and 'dmesg' in a terminal?

Comment 7 Andrew Barber 2008-07-17 06:51:40 UTC
Ran update last night for 3 new patches, one of which was a kernal patch. It 
threw the same error message when Tried to reboot, but after reboot the 3 new 
patches appeared to have installed OK (no longer show on the updates list).  
Tried to run update for the bind and hal update this morning in response to 
your request,and system hangs resolving dependancies with the progress bar 
about a quarter of the way along.  The hard drive is being access continually.
It has now been running for at least half an hour.  I will leave it til I get 
home from work tonight and see what has happened and post any further info, and 
hopefully the respose to your request.

Comment 8 Andrew Barber 2008-07-17 17:43:56 UTC
Created attachment 312067 [details]
DMesg OUtput file

Comment 9 Andrew Barber 2008-07-17 17:47:13 UTC
Update had finished when I got home.  Attached the output file from dmesg.  
Output from Free is a follows

            total       used       free     shared    buffers     cached
Mem:        384992     379912       5080          0       1580      32916
-/+ buffers/cache:     345416      39576
Swap:            0          0          0

The fact that swap is showing 0 accross the board worries me a bit as this was 
a default installation which originally had a swap file in the LBV area of the 
disk

Comment 10 Jeremy Katz 2008-07-17 17:58:24 UTC
Yeah, based on that, the kernel is starting to OOM things which leaves little
room for us to actually do much about it.  If you add swap back, I suspect
things will get a lot better.  Running a full graphical session with 384 megs of
RAM is, sadly, a little optimistic sometimes these days :(

But as you noticed, the traceback won't at all affect the installation of
updated packages.

Comment 11 Andrew Barber 2008-07-17 18:14:55 UTC
I would love to add swap back, as I have never taken it out.  It still show up 
as being present as a logical volume in the logical group.  Where do I need to 
go to fix.

Comment 12 Andrew Barber 2008-07-17 18:16:18 UTC
I am also still unable to update the hal and bind packages.  all other updates 
seem to work

Comment 13 Jeremy Katz 2008-07-17 21:02:41 UTC
Check and make sure the swap partition is still listed in /etc/fstab, something like

/dev/VolGroup00/LogVol01 swap                    swap    defaults        0 0

Comment 14 Andrew Barber 2008-07-17 21:05:15 UTC
(In reply to comment #13)
> Check and make sure the swap partition is still listed in /etc/fstab, 
something like
> /dev/VolGroup00/LogVol01 swap                    swap    defaults        0 0

Many Thanks, That's solved all my problems


Note You need to log in before you can comment on or make changes to this bug.